#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           flickrfs
Version:        1.3.9.1
Release:        8.1
License:        GPLv2
Summary:        Virtual filesystem for flickr online photosharing service
Url:            http://sourceforge.net/projects/flickrfs
Group:          System/Filesystems
Source:         %{name}-%{version}.tar.bz2
Source1:        %{name}.1
Patch0:         %{name}-key.diff
Patch1:         %{name}-fuse_group_exception.diff
Patch2:         %{name}-CVS_07_31_2007.diff
Patch3:         %{name}-fuse.diff
Patch4:         %{name}-tag.diff
Patch5:         %{name}-unicode.diff
Patch6:         %{name}-sync.diff
BuildRequires:  python-devel
Requires:       fuse
Requires:       python-fuse
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
Flickrfs is a virtual filesystem which mounts on your machine like
any other partition. Once mounted it retrieves information about your
photos hosted on your flickr account, and shows them as files.  You
can easily copy photos from your local machine to this mount and it
will automatically upload them to your flickr account.  Similarly you
xcan copy the files from your mount to the local machine and it will
download your images from flickr.

Flickrfs uses FUSE (Filesystem in USErspace) which is a simple
interface for userspace programs to export a virtual filesystem to
the Linux kernel.

All the files in the mount have an associated meta file, which
provides access to title, description, tags and license information.
Modifiying any of these fields and saving the meta file will cause
them to be updated on the server also.

Flickrfs also includes a syncing mechanism. This allows for automatic
synchronisation of changes done online directly to your local
mountpoint.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
sed -i 's/x-www-browser/xdg-open/' flickrfs/flickrfs.py

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot} --record-rpm=INSTALLED_FILES
chmod +x %{buildroot}%{python_sitelib}/flickrfs/flickrfs.py
mkdir -p %{buildroot}%{_bindir}
ln -s %{python_sitelib}/flickrfs/flickrfs.py %{buildroot}%{_bindir}/%{name}
install -D -m 0644 %{SOURCE1} %{buildroot}%{_mandir}/man1/%{name}.1

%files -f INSTALLED_FILES
%defattr(-, root, root)
%{_bindir}/%{name}
%{_mandir}/man1/flickrfs.*

%changelog
* Mon Mar 28 2011 prusnak@opensuse.org
- cleanup spec file
* Thu Aug 28 2008 ke@suse.de
- New package; thanks to Thomas Schraitle for packaging help
- Apply some Debian patches
